$title  Example 0: Plot a one dimensional vector to the screen

set t /1990*2030/;

parameter a(t)  Example 0: Generic output to the screen (default invocation);
a("1990") = 1;
loop(t,  a(t+1) = a(t) * (1 + 0.04 * uniform(0.2,1.8)); );

*        I know that a() is defined over set t.  The plotting package
*       knows that the argument has one dimension, but it does not know
*       what set defines those entry.  Three ways to pass the domain:

*       (i) Let GAMS figure out which elements of A are nonzero (not a problem
*       here because the parameter is dense:

$libinclude plot A 

$exit

*	Alternative invocations:

*       (ii) Pass GAMS the domain on the call:

$libinclude plot A t

*       (iii) Pass GAMS the domain in an environment vaiable:

$setglobal domain t
$libinclude plot A 
