$title  Example 2: Directing GNUPLOT Output to File

set t /1990*2030/, j /a,b,c,d/;

parameter a(t,j)  Random time series with a trend; 
a("1990",j) = 1;
loop(t,  a(t+1,j) = a(t,j) * (1 + 0.04 * uniform(0.2,1.8)); );

$setglobal gp_opt1 'set key bottom right'
$setglobal gp_opt2
$setglobal gp_opt3
$libinclude plot A

*	Shift into a batch format:

$setglobal batch yes

*	Generate a high-resolution image using the TIKZ terminal:

$setglobal gp_opt2 "set term lua tikz fulldoc createstyle"
$setglobal gp_opt3 "set output 'a.tex'"
$setglobal gp_file a_tikz
$libinclude plot A
execute 'pdflatex a.tex';


$setglobal gp_opt2 'set term png crop'
$setglobal gp_opt3 "set output 'ex2_37.png'"
$setglobal gp_opt7 "set size 0.8,0.8"
$libinclude plot A


