$title  Example 3: Graphs with Labels and Titles

set t /0*40/, j /a,b,c,d/;

*       Note: where we specify descriptive text for subset elements,
*       it is then displayed in place of the subset index on the 
*       graph -- i.e. 1990,2000 etc. are displayed, not 0,10,...

set decade(*) / 0 1990, 10 2000, 20 2010, 30 2020, 40 2030/;

parameter a(t,j)  Example 3: Labels and Titles; 
a("0",j) = 1;
loop(t,  a(t+1,j) = a(t,j) * (1 + 0.04 * uniform(0.2,1.8)); );

*       ---------------------------
*       Generic plotting commands:

$setglobal labels decade


$setglobal gp_opt5 "set xlabel 'Year -- time step annual'"
$setglobal gp_opt6 "set ylabel 'Value'"


*       ---------------------------
*       GNUPLOT commands:

$setglobal gp_opt1 "set key at 5,3"
$setglobal gp_opt2 "set title 'Graph of Random Time Series'"
$libinclude plot A

$setglobal batch yes
$setglobal gp_opt1 "set key left"
$setglobal gp_opt3 "set output 'ex3_37.png'"
$setglobal gp_opt4 "set term png crop"
$setglobal gp_opt7 "set size 0.8,0.8"
$libinclude plot A

