$title  Example 5: Unequally spaced data

set t /1990*2030/, j /a,b,c,d/; 
parameter a(t,j)  Example 5: Missing data represented by NA;
a("1990",j) = 1;
loop(t,  a(t+1,j) = a(t,j) * (1 + 0.04 * uniform(0.2,1.8)); );

set decade(*) / 1990, 2000, 2010, 2020, 2030/;
parameter year(*); year(t) = 1989 + ord(t);

* Omit some data points randomly, indicating these as missing
* by assigning values equal to na:

a(t,j)$(uniform(0,1) le 0.25) = na;

$setglobal labels decade
$setglobal xvalue year

$setglobal gp_opt1 "set key at 1995,2"
$setglobal gp_opt2 "set style data linespoints"
$setglobal gp_opt3 "set xlabel 'Year -- time step annual'"
$setglobal gp_opt4 "set ylabel 'Value'"
$libinclude plot A

$setglobal batch yes

$setglobal gp_opt1 "set key left"
$setglobal gp_opt5 "set size 0.8,0.8"
$setglobal gp_opt6 "set output 'ex5_37.png'"
$setglobal gp_opt7 "set term png crop"
$libinclude plot A
