$title Example 7: Plotting Multiple Independent Series 

set             i       observation counts /1*4/,
                g       graphs /a, b, c/;

table data(i,*,g)

        x.a     y.a     x.b     y.b     x.c     y.c
1       1       1       0       2       1       6
2       2       2       3       2       2       4
3       4       3       5       5       3       3
4       10      4       7       6       4       1;

*       First define a set which can hold 4 observations x 
*       3 plot series:

set     p       plot points /1*12/

set pp(p);

pp("1") = yes;

parameter       x       X coordinate for a given point,
                y       Series values for points;


*       The next statement is crucial -- initialize
*       all plot points to NA (missing).  The package
*       will then only plot those items which are 
*       specified.

y(p,g) = na;
loop(g,
        loop(i,
          x(pp)   = data(i,"x",g);
          y(pp,g) = data(i,"y",g);
          pp(p+1)$pp(p) = yes;
          pp(p)$pp(p+1) = no;
        );
);
display x, y;

$setglobal domain p
$setglobal xvalue x

$setglobal gp_opt1 "set grid"
$setglobal gp_opt2 "set tics"

$libinclude plot y


*       The X coordinates may also be passed as a column in the matrix.

y(p,"xv") = x(p);

$setglobal xvalue xv
$libinclude plot y

$setglobal batch yes
$setglobal gp_opt3 "set size 0.7,0.6"
$setglobal gp_opt4 "set term png crop"
$setglobal gp_opt5 "set output 'ex7_37.png'"
$libinclude plot y


